DMS-class {sp} | R Documentation

## Class "DMS" for degree, minute, decimal second values

### Description

The class provides a container for coordinates stored as degree, minute, decimal second values.

### Objects from the Class

Objects can be created by calls of the form `new("DMS", ...)`, converted from decimal degrees using `dd2dms()`, or converted from character strings using `char2dms()`.

### Slots

`WS`:

  Object of class `"logical"` TRUE if input value negative

`deg`:

  Object of class `"numeric"` degrees

`min`:

  Object of class `"numeric"` minutes

`sec`:

  Object of class `"numeric"` decimal seconds

`NS`:

  Object of class `"logical"` TRUE if input value is a Northing

### Methods

coerce

  `signature(from = "DMS", to = "numeric")`: convert to decimal degrees

show

  `signature(object = "DMS")`: print data values

### Author(s)

Roger Bivand Roger.Bivand@nhh.no

### See Also

`char2dms`, `dd2dms`

### Examples

    data(state)
    dd2dms(state.center$x)
    dd2dms(state.center$y, NS=TRUE)
    as.numeric(dd2dms(state.center$y))
    as(dd2dms(state.center$y, NS=TRUE), "numeric")
    as.numeric.DMS(dd2dms(state.center$y))
    state.center$y

[Package sp version 1.2-5 Index]